﻿Module Module1

    Sub Main()

        Dim strUserInput As String
        Dim dblTestNumber As Double
        Console.WriteLine("Please enter a number to demonstrate composite formatting for numbers:")
        strUserInput = Console.ReadLine()
        dblTestNumber = Val(strUserInput)
        Console.WriteLine()
        Console.WriteLine("Output using pre-defined format specifiers:")
        Console.WriteLine("-------------------------------------------")
        Console.WriteLine("Using c:  {0:c}", dblTestNumber)
        Console.WriteLine("Using d:  {0:d}", Convert.ToInt32(dblTestNumber))
        Console.WriteLine("Using e:  {0:e}", dblTestNumber)
        Console.WriteLine("Using f:  {0:f}", dblTestNumber)
        Console.WriteLine("Using g:  {0:g}", dblTestNumber)
        Console.WriteLine("Using n:  {0:n}", dblTestNumber)
        Console.WriteLine("Using r:  {0:r}", dblTestNumber)
        Console.WriteLine("Using x4: {0:x4}", Convert.ToInt32(dblTestNumber))
        Console.WriteLine()
        Console.WriteLine("Output using custom number formatting:")
        Console.WriteLine("--------------------------------------")
        Console.WriteLine("Zero placeholder:          {0,10:00.000}", dblTestNumber)
        Console.WriteLine("Digit placeholder:         {0,10:#.##}", dblTestNumber)
        Console.WriteLine("Decimal point placeholder: {0,10:0.0}", dblTestNumber)
        Console.WriteLine("Thousand separator:        {0,10:0,0}", dblTestNumber)
        Console.WriteLine("Percentage:                {0,10:0%}", dblTestNumber)
        Console.ReadLine()

    End Sub

End Module
